// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/S008_NumberedItems.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.linkoln;


@SuppressWarnings("fallthrough")
class S008_NumberedItems extends LinkolnAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int lkn = 2;
  public static final int inValueList = 4;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1,  1,  2, 2
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\34\u0200\1\u0300\1\u0200\1\u0400\1\u0500\u10de\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\0\1\1\1\3\22\0\1\4"+
    "\1\0\1\5\3\0\1\6\1\7\1\0\1\10\2\0"+
    "\1\11\1\12\1\13\1\14\12\15\1\16\1\17\5\0"+
    "\1\20\1\21\1\22\1\23\1\24\1\25\1\26\1\27"+
    "\1\30\1\31\1\32\1\33\1\34\1\35\1\36\1\37"+
    "\1\40\1\41\1\42\1\43\1\44\1\45\1\31\1\46"+
    "\1\31\1\47\1\50\1\0\1\51\1\0\1\52\1\7"+
    "\1\53\1\54\1\55\1\56\1\57\1\60\1\61\1\62"+
    "\1\63\1\64\1\65\1\66\1\67\1\70\1\71\1\72"+
    "\1\73\1\74\1\75\1\76\1\77\1\100\1\64\1\101"+
    "\1\64\1\102\65\0\1\103\3\0\1\7\13\0\6\64"+
    "\1\0\1\64\2\104\6\64\1\0\6\64\2\0\4\64"+
    "\3\0\6\64\1\0\1\64\2\104\6\64\1\0\6\64"+
    "\2\0\4\64\53\0\2\64\6\0\2\105\66\0\2\64"+
    "\4\0\2\64\17\0\1\106\u0188\0\2\64\216\0\2\64"+
    "\42\0\2\64\104\0\1\1\20\0\2\12\4\0\1\7"+
    "\u0110\0\1\107\325\0";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1536];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\5\0\4\1\2\2\1\3\1\4\1\5\2\3\23\0"+
    "\1\4\14\0\1\5\3\0\1\4\102\0\1\4\4\0"+
    "\1\4\33\0\13\6\25\0\3\7\1\0\7\7\1\4"+
    "\1\7\1\4\67\0\3\6\22\0\1\10\1\4\1\0"+
    "\1\7\6\0\1\4\7\0\1\7\13\0\1\4\43\0"+
    "\7\6\25\0\1\11\1\0\6\6\3\0\2\6\27\0"+
    "\1\4\7\0\1\4\6\0\1\5\40\0\2\6\47\0"+
    "\2\6\5\0\2\6\61\0\3\6\5\0\3\6\30\0"+
    "\1\6\2\0\1\4\1\0\1\4\106\0\1\4\1\0"+
    "\1\4\7\0\3\6\6\0\3\6\11\0\3\6\5\0"+
    "\3\6\10\0\1\12\32\0\5\6\60\0\5\6\3\0"+
    "\5\6\47\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[844];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\110\0\220\0\330\0\u0120\0\u0168\0\u01b0\0\u01f8"+
    "\0\u0240\0\u01f8\0\u0288\0\u01f8\0\u02d0\0\u0318\0\u0360\0\u03a8"+
    "\0\u03f0\0\u0438\0\u0480\0\u04c8\0\u0510\0\u0558\0\u05a0\0\u05e8"+
    "\0\u0630\0\u0678\0\u06c0\0\u0708\0\u0750\0\u0798\0\u0168\0\u07e0"+
    "\0\u0828\0\u0870\0\u08b8\0\u0900\0\u0948\0\u0990\0\u09d8\0\u0a20"+
    "\0\u0a68\0\u0ab0\0\u0af8\0\u0b40\0\u0b88\0\u0bd0\0\u0c18\0\u0c60"+
    "\0\u01f8\0\u0ca8\0\u0cf0\0\u0d38\0\u0d80\0\u0dc8\0\u0e10\0\u0e58"+
    "\0\u0ea0\0\u0ee8\0\u0f30\0\u01f8\0\u0f78\0\u0fc0\0\u1008\0\u1050"+
    "\0\u1098\0\u10e0\0\u1128\0\u1170\0\u11b8\0\u1200\0\u1248\0\u1290"+
    "\0\u12d8\0\u1320\0\u1368\0\u13b0\0\u13f8\0\u1440\0\u1488\0\u14d0"+
    "\0\u1518\0\u1560\0\u15a8\0\u15f0\0\u1638\0\u1680\0\u16c8\0\u1710"+
    "\0\u1758\0\u17a0\0\u17e8\0\u1830\0\u1878\0\u18c0\0\u1908\0\u1950"+
    "\0\u1998\0\u0900\0\u19e0\0\u1a28\0\u1a70\0\u1ab8\0\u1b00\0\u1b48"+
    "\0\u1b90\0\u1bd8\0\u1c20\0\u1c68\0\u1cb0\0\u1cf8\0\u1d40\0\u1d88"+
    "\0\u1dd0\0\u1e18\0\u1e60\0\u1ea8\0\u1ef0\0\u1f38\0\u1f80\0\u1fc8"+
    "\0\u2010\0\u2058\0\u20a0\0\u20e8\0\u0948\0\u2130\0\u2178\0\u21c0"+
    "\0\u2208\0\u2250\0\u2298\0\u22e0\0\u2328\0\u2370\0\u23b8\0\u2400"+
    "\0\u2448\0\u2490\0\u24d8\0\u2520\0\u2568\0\u25b0\0\u25f8\0\u2640"+
    "\0\u2688\0\u26d0\0\u2718\0\u2760\0\u27a8\0\u27f0\0\u2838\0\u2880"+
    "\0\u01f8\0\u28c8\0\u2910\0\u2958\0\u29a0\0\u29e8\0\u2a30\0\u2a78"+
    "\0\u2ac0\0\u2b08\0\u2b50\0\u2b98\0\u2be0\0\u2c28\0\u2c70\0\u2cb8"+
    "\0\u2d00\0\u2d48\0\u2d90\0\u2dd8\0\u2e20\0\u2e68\0\u2eb0\0\u2ef8"+
    "\0\u2f40\0\u2f88\0\u2fd0\0\u3018\0\u3060\0\u30a8\0\u30f0\0\u3138"+
    "\0\u3180\0\u31c8\0\u3210\0\u3258\0\u32a0\0\u32e8\0\u3330\0\u3378"+
    "\0\u33c0\0\u3408\0\u3450\0\u3498\0\u34e0\0\u01f8\0\u3528\0\u3570"+
    "\0\u35b8\0\u3600\0\u3648\0\u3690\0\u36d8\0\u3720\0\u3768\0\u37b0"+
    "\0\u37f8\0\u3840\0\u3888\0\u38d0\0\u3918\0\u3960\0\u39a8\0\u39f0"+
    "\0\u3a38\0\u3a80\0\u3ac8\0\u3b10\0\u3b58\0\u3ba0\0\u3be8\0\u3c30"+
    "\0\u3c78\0\u3cc0\0\u3d08\0\u3d50\0\u3d98\0\u3de0\0\u3e28\0\u3e70"+
    "\0\u3eb8\0\u3f00\0\u3f48\0\u3f90\0\u28c8\0\u2958\0\u29a0\0\u29e8"+
    "\0\u2a30\0\u3fd8\0\u4020\0\u4068\0\u2ac0\0\u40b0\0\u40f8\0\u4140"+
    "\0\u4188\0\u41d0\0\u4218\0\u4260\0\u42a8\0\u42f0\0\u4338\0\u4380"+
    "\0\u43c8\0\u4410\0\u2b50\0\u4458\0\u44a0\0\u44e8\0\u4530\0\u4578"+
    "\0\u45c0\0\u4608\0\u4650\0\u4698\0\u46e0\0\u4728\0\u4770\0\u47b8"+
    "\0\u4800\0\u4848\0\u01f8\0\u4890\0\u48d8\0\u4920\0\u4968\0\u49b0"+
    "\0\u49f8\0\u4a40\0\u4a88\0\u4ad0\0\u4b18\0\u4b60\0\u4ba8\0\u4bf0"+
    "\0\u4c38\0\u4c80\0\u4cc8\0\u4d10\0\u01f8\0\u4d58\0\u4da0\0\u4de8"+
    "\0\u4e30\0\u4e78\0\u4ec0\0\u4f08\0\u4f50\0\u4f98\0\u4fe0\0\u5028"+
    "\0\u5070\0\u50b8\0\u5100\0\u5148\0\u5190\0\u51d8\0\u5220\0\u5268"+
    "\0\u52b0\0\u52f8\0\u5340\0\u5388\0\u53d0\0\u5418\0\u5460\0\u54a8"+
    "\0\u54f0\0\u5538\0\u5580\0\u55c8\0\u5610\0\u5658\0\u56a0\0\u56e8"+
    "\0\u5730\0\u5778\0\u57c0\0\u5808\0\u5850\0\u5898\0\u58e0\0\u5928"+
    "\0\u5970\0\u59b8\0\u5a00\0\u5a48\0\u5a90\0\u5ad8\0\u5b20\0\u5b68"+
    "\0\u5bb0\0\u5bf8\0\u4410\0\u5c40\0\u5c88\0\u5cd0\0\u5d18\0\u5d60"+
    "\0\u5da8\0\u5df0\0\u5e38\0\u5e80\0\u5ec8\0\u5f10\0\u42f0\0\u4380"+
    "\0\u2b08\0\u5f58\0\u5fa0\0\u5fe8\0\u6030\0\u6078\0\u60c0\0\u6108"+
    "\0\u01f8\0\u6150\0\u6198\0\u61e0\0\u6228\0\u6270\0\u62b8\0\u6300"+
    "\0\u6348\0\u6390\0\u63d8\0\u6420\0\u6468\0\u64b0\0\u64f8\0\u6540"+
    "\0\u4890\0\u6588\0\u65d0\0\u6618\0\u6660\0\u66a8\0\u66f0\0\u6738"+
    "\0\u6780\0\u67c8\0\u6810\0\u6858\0\u68a0\0\u68e8\0\u6930\0\u6978"+
    "\0\u69c0\0\u6a08\0\u6a50\0\u6a98\0\u6ae0\0\u6b28\0\u6b70\0\u6bb8"+
    "\0\u6c00\0\u6c48\0\u6c90\0\u6cd8\0\u6d20\0\u6d68\0\u6db0\0\u6df8"+
    "\0\u6e40\0\u6e88\0\u6ed0\0\u6f18\0\u54f0\0\u6f60\0\u6fa8\0\u6ff0"+
    "\0\u7038\0\u7080\0\u70c8\0\u7110\0\u7158\0\u71a0\0\u71e8\0\u7230"+
    "\0\u7278\0\u72c0\0\u7308\0\u7350\0\u5a90\0\u5b20\0\u5b68\0\u5bb0"+
    "\0\u5bf8\0\u7398\0\u73e0\0\u7428\0\u7470\0\u74b8\0\u7500\0\u7548"+
    "\0\u7590\0\u75d8\0\u7620\0\u7668\0\u76b0\0\u76f8\0\u76f8\0\u7740"+
    "\0\u7788\0\u77d0\0\u7818\0\u7860\0\u78a8\0\u78f0\0\u7938\0\u7980"+
    "\0\u79c8\0\u7a10\0\u7a58\0\u7aa0\0\u7ae8\0\u7b30\0\u7b78\0\u7bc0"+
    "\0\u7c08\0\u7c50\0\u7c98\0\u7ce0\0\u7d28\0\u7d70\0\u6198\0\u6228"+
    "\0\u6270\0\u62b8\0\u6300\0\u7db8\0\u7e00\0\u7e48\0\u7e90\0\u7ed8"+
    "\0\u7f20\0\u7f68\0\u7fb0\0\u7ff8\0\u8040\0\u8088\0\u80d0\0\u80d0"+
    "\0\u8118\0\u8160\0\u81a8\0\u81f0\0\u4728\0\u8238\0\u8280\0\u82c8"+
    "\0\u8310\0\u8358\0\u83a0\0\u83e8\0\u8430\0\u8478\0\u84c0\0\u8508"+
    "\0\u8550\0\u8598\0\u6ae0\0\u85e0\0\u8628\0\u8670\0\u86b8\0\u8700"+
    "\0\u8748\0\u8790\0\u87d8\0\u8820\0\u8868\0\u88b0\0\u88f8\0\u8940"+
    "\0\u8988\0\u89d0\0\u8a18\0\u8a60\0\u8aa8\0\u8af0\0\u8b38\0\u8b80"+
    "\0\u8bc8\0\u8c10\0\u8c58\0\u8ca0\0\u8ce8\0\u8d30\0\u8d78\0\u8dc0"+
    "\0\u8e08\0\u8e50\0\u8e98\0\u8ee0\0\u8f28\0\u8f70\0\u8fb8\0\u9000"+
    "\0\u9048\0\u9090\0\u90d8\0\u9120\0\u9168\0\u91b0\0\u91f8\0\u9240"+
    "\0\u7b30\0\u7b78\0\u9288\0\u92d0\0\u9318\0\u9360\0\u93a8\0\u93f0"+
    "\0\u9438\0\u9480\0\u94c8\0\u9510\0\u9558\0\u95a0\0\u95e8\0\u9630"+
    "\0\u9678\0\u96c0\0\u9708\0\u9750\0\u9798\0\u97e0\0\u9828\0\u9870"+
    "\0\u98b8\0\u9900\0\u9948\0\u9990\0\u99d8\0\u9a20\0\u9a68\0\u9ab0"+
    "\0\u9af8\0\u9b40\0\u9b88\0\u9bd0\0\u9c18\0\u9c60\0\u9ca8\0\u9cf0"+
    "\0\u9d38\0\u9d80\0\u9dc8\0\u9e10\0\u9e58\0\u9ea0\0\u9ee8\0\u9f30"+
    "\0\u9f78\0\u9fc0\0\ua008\0\ua050\0\ua098\0\ua0e0\0\ua128\0\ua170"+
    "\0\ua1b8\0\ua200\0\ua248\0\ua290\0\ua2d8\0\ua320\0\ua368\0\u9000"+
    "\0\u9090\0\ua3b0\0\ua3f8\0\ua440\0\ua488\0\ua4d0\0\ua518\0\ua560"+
    "\0\ua5a8\0\ua5f0\0\ua638\0\ua680\0\ua6c8\0\ua710\0\ua758\0\ua7a0"+
    "\0\ua7e8\0\ua830\0\ua878\0\ua8c0\0\ua908\0\ua950\0\ua998\0\ua9e0"+
    "\0\uaa28\0\uaa70\0\uaab8\0\uab00\0\uab48\0\uab90\0\uabd8\0\uac20"+
    "\0\uac68\0\uacb0\0\uacf8\0\uad40\0\uad88\0\uadd0\0\uae18\0\uae60"+
    "\0\uaea8\0\uaef0\0\uaf38\0\uaf80\0\uafc8\0\ub010\0\ub058\0\ub0a0"+
    "\0\ub0e8\0\ub130\0\ub178\0\ub1c0\0\ub208\0\ub250\0\ub298\0\ub2e0"+
    "\0\ub328\0\ub370\0\ua1b8\0\ua200\0\ub3b8\0\ub400\0\ub448\0\ub490"+
    "\0\ub4d8\0\ub520\0\ub568\0\ub5b0\0\ub5f8\0\ub640\0\ub688\0\ub6d0"+
    "\0\ub718\0\ub760\0\ub7a8\0\ub7f0\0\ub838\0\ub880\0\ua8c0\0\ua908"+
    "\0\ub8c8\0\ub910\0\ub958\0\ub9a0\0\ub9e8\0\uba30\0\uba78\0\ubac0"+
    "\0\u01f8\0\ubb08\0\ubb50\0\ubb98\0\ubbe0\0\ubc28\0\ubc70\0\ubcb8"+
    "\0\ubd00\0\ubd48\0\ubd90\0\ubdd8\0\ube20\0\ube68\0\ubeb0\0\ubef8"+
    "\0\ubf40\0\ub0e8\0\ub178\0\ubf88\0\ubfd0\0\uc018\0\uc060\0\uc0a8"+
    "\0\uc0f0\0\uc138\0\uc180\0\uc1c8\0\u4020\0\uc210\0\uc258\0\uc2a0"+
    "\0\ub640\0\ub6d0\0\uc2e8\0\uc330\0\uc378\0\uc3c0\0\uc408\0\uc450"+
    "\0\uc498\0\uc4e0\0\u6468\0\uc528\0\uc570\0\uc5b8\0\uc600\0\uc648"+
    "\0\uc690\0\uc6d8\0\uc720\0\uc768\0\uc7b0\0\uc7f8\0\uc840\0\uc888"+
    "\0\uc8d0\0\uc918\0\uc960\0\uc9a8\0\uc210\0\uc258\0\uc2a0\0\uc9f0"+
    "\0\uca38\0\uca80\0\ucac8\0\ucb10\0\ucb58\0\ucba0\0\ucbe8\0\ucc30"+
    "\0\ucc78\0\uccc0\0\ucd08\0\ucd50\0\ucd98\0\ucde0\0\uce28\0\uce70"+
    "\0\uceb8\0\u7398\0\ucf00\0\ucf48\0\ucf90\0\ucfd8\0\ud020\0\ud068"+
    "\0\ud0b0\0\u7db8\0\ud0f8\0\ud140\0\ud188\0\ud1d0\0\ud218\0\ud260"+
    "\0\ud2a8\0\ud2f0\0\ud338\0\ud380\0\ud3c8\0\ucf00\0\ucf48\0\ucf90"+
    "\0\ud410\0\ud458\0\ud4a0\0\ud4e8\0\ud530\0\ud0f8\0\ud140\0\ud188"+
    "\0\ud578\0\ud5c0\0\ud608\0\ud650\0\ud698\0\ud6e0\0\ud728\0\ud770"+
    "\0\ud7b8\0\ud800\0\ud848\0\ud890\0\ud8d8\0\ud920\0\ud968\0\ud9b0"+
    "\0\ud9f8\0\uda40\0\uda88\0\udad0";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[844];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\3\6\1\7\11\6\1\10\2\6\30\10\1\11\2\6"+
    "\30\10\1\6\1\10\3\6\50\12\1\13\37\12\15\14"+
    "\1\15\6\14\1\16\10\14\1\17\1\14\1\20\17\14"+
    "\1\16\10\14\1\17\1\14\1\20\15\14\15\0\1\21"+
    "\105\0\1\22\5\0\1\23\1\24\1\0\1\25\1\0"+
    "\1\26\6\0\1\27\1\30\2\0\1\31\1\0\1\32"+
    "\1\33\1\34\6\0\1\23\1\24\1\0\1\25\1\0"+
    "\1\26\6\0\1\27\1\30\2\0\1\31\1\0\1\32"+
    "\1\33\1\34\44\0\1\35\1\0\1\36\30\0\1\35"+
    "\1\0\1\36\17\0\1\37\32\0\1\35\1\0\1\36"+
    "\30\0\1\35\1\0\1\36\160\0\1\40\1\0\1\35"+
    "\1\0\1\36\26\0\1\40\1\0\1\35\1\0\1\36"+
    "\31\0\1\41\74\0\4\42\1\0\1\43\1\0\1\44"+
    "\1\45\1\46\2\0\1\15\2\0\1\47\2\0\1\50"+
    "\1\51\1\52\1\53\4\0\1\54\1\55\1\56\1\57"+
    "\3\0\1\60\7\0\1\46\1\47\2\0\1\50\1\51"+
    "\1\52\1\53\4\0\1\54\1\55\1\56\1\57\3\0"+
    "\1\60\10\0\1\60\24\0\1\61\32\0\1\61\32\0"+
    "\4\62\1\0\1\63\4\0\1\64\1\0\1\65\17\0"+
    "\1\66\1\67\2\0\1\66\2\0\1\70\23\0\1\66"+
    "\1\67\2\0\1\66\2\0\1\70\3\0\1\62\50\0"+
    "\1\71\32\0\1\71\11\0\4\72\1\0\1\73\1\0"+
    "\1\74\1\0\1\75\2\0\1\21\34\0\1\75\56\0"+
    "\1\23\1\24\3\0\1\26\6\0\1\27\1\76\2\0"+
    "\1\31\1\0\1\32\1\33\1\34\6\0\1\23\1\24"+
    "\3\0\1\26\6\0\1\27\1\76\2\0\1\31\1\0"+
    "\1\32\1\33\1\34\33\0\1\77\32\0\1\77\60\0"+
    "\1\100\32\0\1\100\21\0\1\100\35\0\1\101\5\0"+
    "\1\102\24\0\1\101\5\0\1\102\33\0\1\103\23\0"+
    "\1\104\6\0\1\103\23\0\1\104\34\0\1\105\32\0"+
    "\1\105\56\0\1\106\1\0\1\107\4\0\1\110\5\0"+
    "\1\111\3\0\1\112\11\0\1\106\1\0\1\107\4\0"+
    "\1\110\5\0\1\111\3\0\1\112\2\0\1\107\22\0"+
    "\1\103\16\0\1\106\13\0\1\103\16\0\1\106\41\0"+
    "\1\113\16\0\1\114\13\0\1\113\16\0\1\114\41\0"+
    "\1\105\32\0\1\105\21\0\1\105\40\0\1\115\32\0"+
    "\1\115\17\0\1\116\2\117\1\116\1\0\1\120\4\0"+
    "\1\121\1\0\1\122\17\0\2\123\2\0\1\123\2\0"+
    "\1\124\23\0\2\123\2\0\1\123\2\0\1\124\3\0"+
    "\1\116\50\0\1\125\32\0\1\125\42\0\1\126\32\0"+
    "\1\126\21\0\1\126\33\0\1\127\32\0\1\127\22\0"+
    "\4\42\1\0\1\43\1\0\1\44\1\45\1\46\5\0"+
    "\1\47\1\130\1\0\1\131\1\51\1\52\1\53\4\0"+
    "\1\54\1\55\1\132\1\133\1\0\1\134\1\0\1\135"+
    "\1\136\1\137\1\140\4\0\1\46\1\47\1\130\1\0"+
    "\1\131\1\51\1\52\1\53\4\0\1\54\1\55\1\132"+
    "\1\133\1\0\1\134\1\0\1\135\1\136\1\137\1\140"+
    "\5\0\1\135\36\0\1\141\32\0\1\141\20\0\4\142"+
    "\1\0\1\143\2\0\1\45\6\0\1\47\2\0\1\50"+
    "\1\51\1\52\1\53\4\0\1\54\1\55\1\56\1\57"+
    "\3\0\1\60\10\0\1\47\2\0\1\50\1\51\1\52"+
    "\1\53\4\0\1\54\1\55\1\56\1\57\3\0\1\60"+
    "\10\0\1\60\2\0\4\45\1\0\1\144\2\0\1\45"+
    "\12\0\1\51\15\0\1\145\14\0\1\51\15\0\1\145"+
    "\10\0\1\145\2\0\4\46\1\0\1\146\12\0\1\130"+
    "\1\0\1\147\11\0\1\150\1\151\1\0\1\134\1\0"+
    "\1\152\1\136\1\137\1\140\6\0\1\130\1\0\1\147"+
    "\11\0\1\150\1\151\1\0\1\134\1\0\1\152\1\136"+
    "\1\137\1\140\5\0\1\152\27\0\1\153\10\0\1\154"+
    "\21\0\1\153\10\0\1\154\45\0\1\155\32\0\1\155"+
    "\21\0\1\155\3\0\4\156\1\0\1\157\125\0\1\160"+
    "\32\0\1\160\54\0\1\161\3\0\1\162\26\0\1\161"+
    "\3\0\1\162\21\0\1\162\46\0\1\163\32\0\1\163"+
    "\30\0\1\164\32\0\1\164\72\0\1\165\32\0\1\165"+
    "\61\0\1\166\32\0\1\166\35\0\1\167\15\0\1\170"+
    "\1\0\1\171\12\0\1\167\15\0\1\170\1\0\1\171"+
    "\6\0\1\170\2\0\4\62\1\0\1\63\6\0\1\65"+
    "\127\0\1\172\32\0\1\172\20\0\4\62\1\0\1\63"+
    "\6\0\1\65\65\0\1\62\5\0\4\173\1\0\1\174"+
    "\1\0\1\175\1\45\1\176\2\0\1\65\6\0\1\51"+
    "\15\0\1\145\7\0\1\176\4\0\1\51\15\0\1\145"+
    "\10\0\1\145\2\0\4\62\1\0\1\63\4\0\1\62"+
    "\1\0\1\65\73\0\4\62\1\0\1\63\4\0\1\62"+
    "\1\0\1\65\17\0\1\177\32\0\1\177\53\0\1\200"+
    "\32\0\1\200\55\0\1\201\32\0\1\201\20\0\4\72"+
    "\1\0\1\73\1\0\1\74\1\0\1\75\6\0\1\202"+
    "\1\0\1\203\11\0\1\204\1\205\1\0\1\206\1\0"+
    "\1\207\1\210\1\211\1\212\4\0\1\75\1\0\1\202"+
    "\1\0\1\203\11\0\1\204\1\205\1\0\1\206\1\0"+
    "\1\207\1\210\1\211\1\212\5\0\1\207\36\0\1\213"+
    "\32\0\1\213\20\0\4\75\1\0\1\214\12\0\1\202"+
    "\1\0\1\203\11\0\1\204\1\205\1\0\1\206\1\0"+
    "\1\207\1\210\1\211\1\212\6\0\1\202\1\0\1\203"+
    "\11\0\1\204\1\205\1\0\1\206\1\0\1\207\1\210"+
    "\1\211\1\212\5\0\1\207\27\0\1\106\32\0\1\106"+
    "\53\0\1\215\32\0\1\215\52\0\1\215\32\0\1\215"+
    "\61\0\1\216\32\0\1\216\21\0\1\216\23\0\1\217"+
    "\32\0\1\217\67\0\1\215\32\0\1\215\53\0\1\215"+
    "\32\0\1\215\47\0\1\215\32\0\1\215\46\0\1\215"+
    "\32\0\1\215\54\0\1\220\5\0\1\221\4\0\1\222"+
    "\17\0\1\220\5\0\1\221\4\0\1\222\47\0\1\223"+
    "\32\0\1\223\70\0\1\224\32\0\1\224\10\0\1\224"+
    "\42\0\1\225\32\0\1\225\55\0\1\215\32\0\1\215"+
    "\10\0\1\215\25\0\1\113\11\0\1\215\20\0\1\113"+
    "\11\0\1\215\53\0\1\215\32\0\1\215\20\0\1\116"+
    "\2\117\1\116\1\0\1\120\6\0\1\122\73\0\4\117"+
    "\1\0\1\226\6\0\1\227\127\0\1\230\32\0\1\230"+
    "\20\0\1\116\2\117\1\116\1\0\1\120\6\0\1\122"+
    "\65\0\1\116\4\0\1\231\2\232\1\233\1\232\1\231"+
    "\1\234\1\231\1\235\1\236\1\237\1\240\1\231\1\122"+
    "\6\231\1\241\10\231\1\242\4\231\1\243\7\231\1\237"+
    "\4\231\1\241\10\231\1\242\4\231\1\243\10\231\1\243"+
    "\1\231\1\0\1\116\2\117\1\116\1\0\1\120\4\0"+
    "\1\116\1\0\1\122\126\0\1\244\32\0\1\244\55\0"+
    "\1\245\32\0\1\245\54\0\1\246\32\0\1\246\51\0"+
    "\1\247\32\0\1\247\21\0\1\247\30\0\1\250\32\0"+
    "\1\250\21\0\1\250\26\0\1\251\3\0\1\155\13\0"+
    "\1\252\12\0\1\251\3\0\1\155\13\0\1\252\5\0"+
    "\1\155\40\0\1\253\32\0\1\253\40\0\1\254\20\0"+
    "\1\166\11\0\1\254\20\0\1\166\55\0\1\255\32\0"+
    "\1\255\34\0\1\256\15\0\1\170\1\0\1\171\12\0"+
    "\1\256\15\0\1\170\1\0\1\171\6\0\1\170\25\0"+
    "\1\257\32\0\1\257\65\0\1\260\32\0\1\260\47\0"+
    "\1\261\32\0\1\261\21\0\1\261\23\0\1\262\32\0"+
    "\1\262\70\0\1\263\32\0\1\263\54\0\1\264\32\0"+
    "\1\264\43\0\1\265\15\0\1\170\1\0\1\171\12\0"+
    "\1\265\15\0\1\170\1\0\1\171\6\0\1\170\36\0"+
    "\1\266\32\0\1\266\43\0\1\251\17\0\1\252\12\0"+
    "\1\251\17\0\1\252\46\0\1\267\32\0\1\267\40\0"+
    "\1\254\32\0\1\254\56\0\1\270\32\0\1\270\66\0"+
    "\1\271\32\0\1\271\57\0\1\272\32\0\1\272\35\0"+
    "\1\273\32\0\1\273\33\0\4\156\1\0\1\157\33\0"+
    "\1\145\32\0\1\145\10\0\1\145\36\0\1\274\32\0"+
    "\1\274\40\0\1\275\32\0\1\275\70\0\1\276\32\0"+
    "\1\276\63\0\1\277\32\0\1\277\36\0\1\300\32\0"+
    "\1\300\54\0\1\301\12\0\1\302\17\0\1\301\12\0"+
    "\1\302\60\0\1\273\32\0\1\273\52\0\1\303\32\0"+
    "\1\303\37\0\1\304\14\0\1\305\15\0\1\304\14\0"+
    "\1\305\24\0\1\306\116\0\1\307\32\0\1\307\53\0"+
    "\1\310\32\0\1\310\34\0\4\173\1\0\1\174\1\0"+
    "\1\175\1\45\1\176\6\0\1\311\1\0\1\312\1\51"+
    "\10\0\1\313\1\314\1\0\1\315\1\0\1\316\1\317"+
    "\1\320\1\321\4\0\1\176\1\0\1\311\1\0\1\312"+
    "\1\51\10\0\1\313\1\314\1\0\1\315\1\0\1\316"+
    "\1\317\1\320\1\321\5\0\1\316\36\0\1\322\32\0"+
    "\1\322\20\0\4\176\1\0\1\323\12\0\1\311\1\0"+
    "\1\312\11\0\1\313\1\314\1\0\1\315\1\0\1\324"+
    "\1\317\1\320\1\321\6\0\1\311\1\0\1\312\11\0"+
    "\1\313\1\314\1\0\1\315\1\0\1\324\1\317\1\320"+
    "\1\321\5\0\1\324\23\0\1\325\32\0\1\325\33\0"+
    "\4\62\1\0\1\63\4\0\1\62\1\0\1\65\6\0"+
    "\1\326\32\0\1\326\73\0\1\327\32\0\1\327\41\0"+
    "\1\330\32\0\1\330\21\0\1\330\26\0\1\331\17\0"+
    "\1\332\12\0\1\331\17\0\1\332\46\0\1\333\32\0"+
    "\1\333\40\0\1\334\32\0\1\334\76\0\1\335\32\0"+
    "\1\335\34\0\1\336\32\0\1\336\54\0\1\337\32\0"+
    "\1\337\65\0\1\340\32\0\1\340\47\0\1\341\32\0"+
    "\1\341\21\0\1\341\23\0\1\342\32\0\1\342\70\0"+
    "\1\343\32\0\1\343\20\0\4\215\12\0\1\344\131\0"+
    "\1\345\32\0\1\345\47\0\1\346\1\0\1\347\30\0"+
    "\1\346\1\0\1\347\53\0\1\350\3\0\1\351\26\0"+
    "\1\350\3\0\1\351\41\0\1\225\32\0\1\225\54\0"+
    "\1\352\32\0\1\352\72\0\1\33\32\0\1\33\46\0"+
    "\1\76\32\0\1\76\36\0\1\103\32\0\1\103\71\0"+
    "\1\353\32\0\1\353\17\0\1\231\2\232\1\233\1\232"+
    "\1\231\1\234\1\231\1\235\1\236\1\237\2\231\1\227"+
    "\6\231\1\241\10\231\1\242\4\231\1\243\7\231\1\237"+
    "\4\231\1\241\10\231\1\242\4\231\1\243\10\231\1\243"+
    "\1\231\21\0\1\354\32\0\1\354\34\0\4\355\1\0"+
    "\1\356\1\0\1\357\1\360\1\361\2\0\1\362\3\0"+
    "\1\363\1\0\1\364\1\365\10\0\1\366\1\367\1\0"+
    "\1\370\1\0\1\371\1\372\1\373\1\374\4\0\1\361"+
    "\1\0\1\363\1\0\1\364\1\365\10\0\1\366\1\367"+
    "\1\0\1\370\1\0\1\371\1\372\1\373\1\374\5\0"+
    "\1\371\2\0\1\355\1\232\2\355\1\0\1\356\1\0"+
    "\1\357\1\360\1\361\2\0\1\362\3\0\1\363\1\0"+
    "\1\364\1\365\10\0\1\366\1\367\1\0\1\370\1\0"+
    "\1\371\1\372\1\373\1\374\4\0\1\361\1\0\1\363"+
    "\1\0\1\364\1\365\10\0\1\366\1\367\1\0\1\370"+
    "\1\0\1\371\1\372\1\373\1\374\5\0\1\371\36\0"+
    "\1\375\32\0\1\375\17\0\1\231\2\376\1\377\1\376"+
    "\1\231\1\u0100\2\231\1\236\3\231\1\0\6\231\1\241"+
    "\10\231\1\242\4\231\1\243\14\231\1\241\10\231\1\242"+
    "\4\231\1\243\10\231\1\243\1\231\1\0\4\360\1\0"+
    "\1\u0101\2\0\1\360\3\0\1\362\6\0\1\u0102\15\0"+
    "\1\u0103\14\0\1\u0102\15\0\1\u0103\10\0\1\u0103\2\0"+
    "\4\361\1\0\1\u0104\12\0\1\363\1\0\1\364\11\0"+
    "\1\u0105\1\367\1\0\1\370\1\0\1\u0106\1\372\1\373"+
    "\1\374\6\0\1\363\1\0\1\364\11\0\1\u0105\1\367"+
    "\1\0\1\370\1\0\1\u0106\1\372\1\373\1\374\5\0"+
    "\1\u0106\16\0\1\u0107\73\0\4\u0108\1\0\1\u0109\6\0"+
    "\1\u010a\5\0\1\u010b\32\0\1\u010b\67\0\1\u010c\32\0"+
    "\1\u010c\42\0\1\u010d\15\0\1\u010e\1\0\1\u010f\12\0"+
    "\1\u010d\15\0\1\u010e\1\0\1\u010f\6\0\1\u010e\2\0"+
    "\1\116\2\117\1\116\1\0\1\120\4\0\1\116\1\0"+
    "\1\122\6\0\1\u0110\32\0\1\u0110\73\0\1\u0111\32\0"+
    "\1\u0111\27\0\1\u0112\126\0\1\u0113\32\0\1\u0113\61\0"+
    "\1\u0114\32\0\1\u0114\10\0\1\u0114\23\0\1\u0115\32\0"+
    "\1\u0115\70\0\1\260\32\0\1\260\53\0\1\u0115\7\0"+
    "\1\u0116\22\0\1\u0115\7\0\1\u0116\52\0\1\u0117\32\0"+
    "\1\u0117\31\0\1\u0118\7\0\1\u0119\22\0\1\u0118\7\0"+
    "\1\u0119\21\0\1\u0119\30\0\1\304\5\0\1\u011a\2\0"+
    "\1\u011b\3\0\1\305\2\0\1\u011c\12\0\1\304\5\0"+
    "\1\u011a\2\0\1\u011b\3\0\1\305\2\0\1\u011c\47\0"+
    "\1\u011d\32\0\1\u011d\36\0\1\u011e\21\0\1\u011f\10\0"+
    "\1\u011e\21\0\1\u011f\31\0\1\u0120\32\0\1\u0120\74\0"+
    "\1\u0121\32\0\1\u0121\10\0\1\u0121\22\0\1\u0122\32\0"+
    "\1\u0122\54\0\1\u0123\32\0\1\u0123\61\0\1\304\32\0"+
    "\1\304\47\0\1\u0124\32\0\1\u0124\70\0\1\u0115\7\0"+
    "\1\u0117\22\0\1\u0115\7\0\1\u0117\43\0\1\u011a\2\0"+
    "\1\u011b\6\0\1\u011c\20\0\1\u011a\2\0\1\u011b\6\0"+
    "\1\u011c\21\0\1\u0125\26\0\1\u0126\32\0\1\u0126\10\0"+
    "\1\u0126\14\0\1\u0125\14\0\1\u0127\32\0\1\u0127\21\0"+
    "\1\u0127\15\0\1\u0125\10\0\1\u0128\32\0\1\u0128\51\0"+
    "\1\u0129\32\0\1\u0129\46\0\1\u0125\5\0\1\u012a\32\0"+
    "\1\u012a\46\0\1\u0125\21\0\1\u012b\32\0\1\u012b\32\0"+
    "\1\u0125\12\0\1\u012c\32\0\1\u012c\41\0\1\u0125\17\0"+
    "\1\u012d\32\0\1\u012d\34\0\1\u0125\12\0\1\u012d\32\0"+
    "\1\u012d\41\0\1\u0125\33\0\1\u012e\32\0\1\u012e\20\0"+
    "\1\u0125\22\0\1\u012f\32\0\1\u012f\31\0\1\306\12\0"+
    "\1\170\15\0\1\u0130\14\0\1\170\15\0\1\u0130\23\0"+
    "\1\u0125\27\0\1\273\32\0\1\273\33\0\1\u0131\32\0"+
    "\1\u0131\74\0\1\u0132\32\0\1\u0132\10\0\1\u0132\31\0"+
    "\1\u0133\32\0\1\u0133\21\0\1\u0133\26\0\1\u0134\17\0"+
    "\1\u0135\12\0\1\u0134\17\0\1\u0135\46\0\1\u0136\32\0"+
    "\1\u0136\40\0\1\u0137\32\0\1\u0137\76\0\1\u0138\32\0"+
    "\1\u0138\34\0\1\u0139\15\0\1\170\1\0\1\171\12\0"+
    "\1\u0139\15\0\1\170\1\0\1\171\6\0\1\170\25\0"+
    "\1\u013a\32\0\1\u013a\65\0\1\u013b\32\0\1\u013b\47\0"+
    "\1\u013c\32\0\1\u013c\21\0\1\u013c\23\0\1\u013d\32\0"+
    "\1\u013d\70\0\1\u013e\32\0\1\u013e\43\0\1\u013f\32\0"+
    "\1\u013f\57\0\1\u0140\32\0\1\u0140\66\0\1\327\32\0"+
    "\1\327\43\0\1\62\5\0\1\62\24\0\1\62\5\0"+
    "\1\62\13\0\1\62\44\0\1\u0141\32\0\1\u0141\10\0"+
    "\1\u0141\23\0\1\u0142\32\0\1\u0142\70\0\1\340\32\0"+
    "\1\340\53\0\1\u0142\7\0\1\u0143\22\0\1\u0142\7\0"+
    "\1\u0143\52\0\1\u0143\32\0\1\u0143\31\0\1\u0144\7\0"+
    "\1\u0145\22\0\1\u0144\7\0\1\u0145\21\0\1\u0145\36\0"+
    "\1\u0146\2\0\1\u0147\6\0\1\u0148\20\0\1\u0146\2\0"+
    "\1\u0147\6\0\1\u0148\47\0\1\u0149\32\0\1\u0149\36\0"+
    "\1\u014a\21\0\1\u014b\10\0\1\u014a\21\0\1\u014b\31\0"+
    "\1\u014c\32\0\1\u014c\74\0\1\u014d\32\0\1\u014d\10\0"+
    "\1\u014d\22\0\1\u014e\32\0\1\u014e\72\0\1\u014f\32\0"+
    "\1\u014f\54\0\1\106\32\0\1\106\41\0\1\u0150\32\0"+
    "\1\u0150\73\0\1\u0151\32\0\1\u0151\46\0\1\27\32\0"+
    "\1\27\40\0\1\u0152\32\0\1\u0152\77\0\1\104\32\0"+
    "\1\104\31\0\1\u0153\32\0\1\u0153\75\0\1\u0154\32\0"+
    "\1\u0154\10\0\1\u0154\1\0\1\231\2\u0155\1\u0156\1\u0155"+
    "\1\231\1\u0157\1\231\1\u0158\1\u0159\1\u015a\2\231\1\362"+
    "\6\231\1\u015b\15\231\1\243\7\231\1\u015a\4\231\1\u015b"+
    "\15\231\1\243\10\231\1\243\1\231\30\0\1\u015c\32\0"+
    "\1\u015c\21\0\1\u015c\26\0\1\u015d\17\0\1\u015e\12\0"+
    "\1\u015d\17\0\1\u015e\46\0\1\u015f\32\0\1\u015f\40\0"+
    "\1\u0160\32\0\1\u0160\76\0\1\u0161\32\0\1\u0161\34\0"+
    "\1\u0162\15\0\1\u010e\1\0\1\u010f\12\0\1\u0162\15\0"+
    "\1\u010e\1\0\1\u010f\6\0\1\u010e\25\0\1\u0163\32\0"+
    "\1\u0163\65\0\1\u0164\32\0\1\u0164\47\0\1\u0165\32\0"+
    "\1\u0165\21\0\1\u0165\23\0\1\u0166\32\0\1\u0166\34\0"+
    "\4\u0167\1\0\1\u0168\2\0\1\360\3\0\1\362\6\0"+
    "\1\365\10\0\1\u0169\4\0\1\u0103\14\0\1\365\10\0"+
    "\1\u0169\4\0\1\u0103\10\0\1\u0103\2\0\1\u0167\1\376"+
    "\2\u0167\1\0\1\u0168\2\0\1\360\3\0\1\362\6\0"+
    "\1\365\10\0\1\u0169\4\0\1\u0103\14\0\1\365\10\0"+
    "\1\u0169\4\0\1\u0103\10\0\1\u0103\36\0\1\u016a\32\0"+
    "\1\u016a\54\0\1\u016b\32\0\1\u016b\20\0\4\u016c\1\0"+
    "\1\u016d\136\0\1\u016e\32\0\1\u016e\55\0\1\u016f\32\0"+
    "\1\u016f\42\0\1\u0170\32\0\1\u0170\40\0\1\u0171\4\0"+
    "\1\u0107\73\0\4\u0108\1\0\1\u0109\6\0\1\u010a\24\0"+
    "\1\u0103\32\0\1\u0103\10\0\1\u0103\36\0\1\u0172\32\0"+
    "\1\u0172\17\0\1\231\2\u0173\1\u0174\1\u0173\1\231\1\u0175"+
    "\1\231\1\u0176\1\u0177\1\u0178\2\231\1\u010a\6\231\1\u015b"+
    "\15\231\1\243\7\231\1\u0178\4\231\1\u015b\15\231\1\243"+
    "\10\231\1\243\1\231\1\0\4\u010b\1\0\1\u0179\6\0"+
    "\1\u010a\127\0\1\u017a\32\0\1\u017a\45\0\1\u017b\32\0"+
    "\1\u017b\26\0\3\231\1\u017c\7\231\1\u017d\1\231\1\0"+
    "\72\231\22\0\1\u017e\32\0\1\u017e\73\0\1\u017f\32\0"+
    "\1\u017f\43\0\1\117\5\0\1\117\24\0\1\117\5\0"+
    "\1\117\13\0\1\117\22\0\30\u0180\2\0\1\u0180\36\0"+
    "\4\u0181\1\0\1\u0182\1\0\1\44\1\45\6\0\1\47"+
    "\2\0\1\50\1\51\1\52\1\53\4\0\1\54\1\55"+
    "\1\56\1\57\3\0\1\60\10\0\1\47\2\0\1\50"+
    "\1\51\1\52\1\53\4\0\1\54\1\55\1\56\1\57"+
    "\3\0\1\60\10\0\1\60\31\0\1\u0183\32\0\1\u0183"+
    "\21\0\1\u0183\15\0\1\u0125\10\0\1\u0128\3\0\1\u0184"+
    "\5\0\1\u0185\20\0\1\u0128\3\0\1\u0184\5\0\1\u0185"+
    "\13\0\1\u0184\32\0\1\u0184\5\0\1\u0185\24\0\1\u0184"+
    "\5\0\1\u0185\13\0\1\u0184\45\0\1\136\32\0\1\136"+
    "\46\0\1\u0186\32\0\1\u0186\43\0\1\u0187\32\0\1\u0187"+
    "\73\0\1\u011c\32\0\1\u011c\34\0\1\u011e\4\0\1\u0184"+
    "\25\0\1\u011e\4\0\1\u0184\21\0\1\u0184\3\0\3\u0181"+
    "\1\u0188\1\0\1\u0182\1\0\1\44\1\45\6\0\1\47"+
    "\2\0\1\u0189\1\51\1\52\1\53\4\0\1\54\1\55"+
    "\1\56\1\57\3\0\1\60\2\0\1\u011f\5\0\1\47"+
    "\2\0\1\u0189\1\51\1\52\1\53\4\0\1\54\1\55"+
    "\1\56\1\57\3\0\1\60\2\0\1\u011f\5\0\1\60"+
    "\25\0\1\251\32\0\1\251\60\0\1\251\32\0\1\251"+
    "\21\0\1\251\32\0\1\u018a\32\0\1\u018a\21\0\1\u018a"+
    "\41\0\1\u018b\32\0\1\u018b\57\0\1\u018c\32\0\1\u018c"+
    "\10\0\1\u018c\43\0\1\u018d\32\0\1\u018d\10\0\1\u018d"+
    "\43\0\1\u018e\32\0\1\u018e\10\0\1\u018e\44\0\1\u012e"+
    "\32\0\1\u012e\44\0\1\u018f\32\0\1\u018f\55\0\1\u012f"+
    "\32\0\1\u012f\62\0\1\u0190\32\0\1\u0190\10\0\1\u0190"+
    "\42\0\1\u012b\32\0\1\u012b\33\0\1\u012d\32\0\1\u012d"+
    "\71\0\1\u012e\32\0\1\u012e\47\0\1\u012e\32\0\1\u012e"+
    "\21\0\1\u012e\40\0\1\u0125\32\0\1\u0125\37\0\1\u0191"+
    "\32\0\1\u0191\57\0\1\u0192\32\0\1\u0192\43\0\1\306"+
    "\10\0\1\u0193\32\0\1\u0193\67\0\1\u0194\32\0\1\u0194"+
    "\57\0\1\u0195\32\0\1\u0195\10\0\1\u0195\23\0\1\u0196"+
    "\32\0\1\u0196\70\0\1\u013b\32\0\1\u013b\53\0\1\u0196"+
    "\7\0\1\u0197\22\0\1\u0196\7\0\1\u0197\52\0\1\u0197"+
    "\32\0\1\u0197\31\0\1\u0198\7\0\1\u0199\22\0\1\u0198"+
    "\7\0\1\u0199\21\0\1\u0199\30\0\1\304\5\0\1\u019a"+
    "\2\0\1\u019b\6\0\1\u019c\12\0\1\304\5\0\1\u019a"+
    "\2\0\1\u019b\6\0\1\u019c\47\0\1\u019d\32\0\1\u019d"+
    "\36\0\1\u019e\21\0\1\u019f\10\0\1\u019e\21\0\1\u019f"+
    "\31\0\1\u01a0\32\0\1\u01a0\74\0\1\u01a1\32\0\1\u01a1"+
    "\10\0\1\u01a1\22\0\1\u01a2\32\0\1\u01a2\67\0\1\u019a"+
    "\2\0\1\u019b\6\0\1\u019c\20\0\1\u019a\2\0\1\u019b"+
    "\6\0\1\u019c\14\0\1\u01a3\15\0\1\u01a4\32\0\1\u01a4"+
    "\24\0\1\61\4\0\4\u01a5\1\0\1\u01a6\1\0\1\74"+
    "\127\0\1\u01a7\32\0\1\u01a7\21\0\1\u01a7\32\0\1\u01a8"+
    "\5\0\1\u01a9\24\0\1\u01a8\5\0\1\u01a9\13\0\1\u01a8"+
    "\45\0\1\210\32\0\1\210\46\0\1\u01aa\32\0\1\u01aa"+
    "\43\0\1\u01ab\32\0\1\u01ab\73\0\1\u0148\32\0\1\u0148"+
    "\34\0\1\u014a\4\0\1\u01a8\25\0\1\u014a\4\0\1\u01a8"+
    "\21\0\1\u01a8\3\0\3\u01a5\1\u01ac\1\0\1\u01a6\1\0"+
    "\1\74\12\0\1\u014a\21\0\1\u014b\10\0\1\u014a\21\0"+
    "\1\u014b\33\0\1\331\32\0\1\331\60\0\1\331\32\0"+
    "\1\331\21\0\1\331\32\0\1\u01ad\32\0\1\u01ad\21\0"+
    "\1\u01ad\41\0\1\u01ae\32\0\1\u01ae\57\0\1\u01af\32\0"+
    "\1\u01af\10\0\1\u01af\43\0\1\u01b0\32\0\1\u01b0\10\0"+
    "\1\u01b0\23\0\1\24\20\0\1\u01b1\1\0\1\34\7\0"+
    "\1\24\20\0\1\u01b1\1\0\1\34\52\0\1\u01b2\32\0"+
    "\1\u01b2\32\0\1\23\32\0\1\23\75\0\1\u01b3\32\0"+
    "\1\u01b3\10\0\1\u01b3\40\0\1\u01b4\32\0\1\u01b4\16\0"+
    "\4\u01b5\1\0\1\u01b6\1\0\1\u01b7\1\u01b8\1\u01b9\2\0"+
    "\1\362\3\0\1\u01ba\1\0\1\u01bb\1\u01bc\10\0\1\u01bd"+
    "\1\u01be\1\0\1\u01bf\1\0\1\u01c0\1\u01c1\1\u01c2\1\u01c3"+
    "\4\0\1\u01b9\1\0\1\u01ba\1\0\1\u01bb\1\u01bc\10\0"+
    "\1\u01bd\1\u01be\1\0\1\u01bf\1\0\1\u01c0\1\u01c1\1\u01c2"+
    "\1\u01c3\5\0\1\u01c0\2\0\1\u01b5\1\u0155\2\u01b5\1\0"+
    "\1\u01b6\1\0\1\u01b7\1\u01b8\1\u01b9\2\0\1\362\3\0"+
    "\1\u01ba\1\0\1\u01bb\1\u01bc\10\0\1\u01bd\1\u01be\1\0"+
    "\1\u01bf\1\0\1\u01c0\1\u01c1\1\u01c2\1\u01c3\4\0\1\u01b9"+
    "\1\0\1\u01ba\1\0\1\u01bb\1\u01bc\10\0\1\u01bd\1\u01be"+
    "\1\0\1\u01bf\1\0\1\u01c0\1\u01c1\1\u01c2\1\u01c3\5\0"+
    "\1\u01c0\36\0\1\u01c4\32\0\1\u01c4\17\0\1\231\2\u0159"+
    "\1\u01c5\1\u0159\1\231\1\u01c6\2\231\1\u0159\3\231\1\0"+
    "\6\231\1\u015b\15\231\1\243\14\231\1\u015b\15\231\1\243"+
    "\10\231\1\243\1\231\1\0\4\u01b8\1\0\1\u01c7\2\0"+
    "\1\u01b8\3\0\1\362\6\0\1\u01bc\10\0\1\u01c8\4\0"+
    "\1\u0103\14\0\1\u01bc\10\0\1\u01c8\4\0\1\u0103\10\0"+
    "\1\u0103\2\0\4\u01b9\1\0\1\u01c9\12\0\1\u01ba\1\0"+
    "\1\u01bb\11\0\1\u01ca\1\u01be\1\0\1\u01bf\1\0\1\u01cb"+
    "\1\u01c1\1\u01c2\1\u01c3\6\0\1\u01ba\1\0\1\u01bb\11\0"+
    "\1\u01ca\1\u01be\1\0\1\u01bf\1\0\1\u01cb\1\u01c1\1\u01c2"+
    "\1\u01c3\5\0\1\u01cb\43\0\1\u01cc\32\0\1\u01cc\10\0"+
    "\1\u01cc\23\0\1\u01cd\32\0\1\u01cd\70\0\1\u0164\32\0"+
    "\1\u0164\53\0\1\u01ce\7\0\1\u01cf\22\0\1\u01ce\7\0"+
    "\1\u01cf\52\0\1\u01cf\32\0\1\u01cf\31\0\1\u01d0\7\0"+
    "\1\u01d1\22\0\1\u01d0\7\0\1\u01d1\21\0\1\u01d1\30\0"+
    "\1\u017b\5\0\1\u01d2\2\0\1\u01d3\6\0\1\u01d4\12\0"+
    "\1\u017b\5\0\1\u01d2\2\0\1\u01d3\6\0\1\u01d4\47\0"+
    "\1\u01d5\32\0\1\u01d5\36\0\1\u01d6\21\0\1\u01d7\10\0"+
    "\1\u01d6\21\0\1\u01d7\31\0\1\u01d8\32\0\1\u01d8\74\0"+
    "\1\u01d9\32\0\1\u01d9\10\0\1\u01d9\22\0\1\u01da\32\0"+
    "\1\u01da\54\0\1\u01db\32\0\1\u01db\34\0\4\u016c\1\0"+
    "\1\u016d\33\0\1\u0103\32\0\1\u0103\10\0\1\u0103\36\0"+
    "\1\u01dc\32\0\1\u01dc\40\0\1\u01dd\32\0\1\u01dd\70\0"+
    "\1\u01cd\7\0\1\u01cf\22\0\1\u01cd\7\0\1\u01cf\43\0"+
    "\1\u01d2\2\0\1\u01d3\6\0\1\u01d4\20\0\1\u01d2\2\0"+
    "\1\u01d3\6\0\1\u01d4\27\0\1\u01de\32\0\1\u01de\34\0"+
    "\4\u01df\1\0\1\u01e0\1\0\1\u01e1\1\u01e2\1\u01e3\6\0"+
    "\1\u01e4\1\0\1\u01e5\1\u0102\10\0\1\u01e6\1\u01e7\1\0"+
    "\1\u01e8\1\0\1\u01e9\1\u01ea\1\u01eb\1\u01ec\4\0\1\u01e3"+
    "\1\0\1\u01e4\1\0\1\u01e5\1\u0102\10\0\1\u01e6\1\u01e7"+
    "\1\0\1\u01e8\1\0\1\u01e9\1\u01ea\1\u01eb\1\u01ec\5\0"+
    "\1\u01e9\2\0\1\u01df\1\u0173\2\u01df\1\0\1\u01e0\1\0"+
    "\1\u01e1\1\u01e2\1\u01e3\6\0\1\u01e4\1\0\1\u01e5\1\u0102"+
    "\10\0\1\u01e6\1\u01e7\1\0\1\u01e8\1\0\1\u01e9\1\u01ea"+
    "\1\u01eb\1\u01ec\4\0\1\u01e3\1\0\1\u01e4\1\0\1\u01e5"+
    "\1\u0102\10\0\1\u01e6\1\u01e7\1\0\1\u01e8\1\0\1\u01e9"+
    "\1\u01ea\1\u01eb\1\u01ec\5\0\1\u01e9\36\0\1\u01ed\32\0"+
    "\1\u01ed\17\0\1\231\2\u0177\1\u01ee\1\u0177\1\231\1\u01ef"+
    "\2\231\1\u0177\3\231\1\0\6\231\1\u015b\15\231\1\243"+
    "\14\231\1\u015b\15\231\1\243\10\231\1\243\1\231\1\0"+
    "\4\u01e2\1\0\1\u01f0\2\0\1\u01e2\12\0\1\u0102\15\0"+
    "\1\u0103\14\0\1\u0102\15\0\1\u0103\10\0\1\u0103\2\0"+
    "\4\u01e3\1\0\1\u01f1\12\0\1\u01e4\1\0\1\u01e5\11\0"+
    "\1\u01e6\1\u01e7\1\0\1\u01e8\1\0\1\u01f2\1\u01ea\1\u01eb"+
    "\1\u01ec\6\0\1\u01e4\1\0\1\u01e5\11\0\1\u01e6\1\u01e7"+
    "\1\0\1\u01e8\1\0\1\u01f2\1\u01ea\1\u01eb\1\u01ec\5\0"+
    "\1\u01f2\36\0\1\u01f3\32\0\1\u01f3\41\0\1\u01f4\32\0"+
    "\1\u01f4\32\0\3\231\1\u017c\7\231\1\u017d\1\231\1\0"+
    "\10\231\1\u01f5\15\231\1\u01f6\14\231\1\u01f5\15\231\1\u01f6"+
    "\10\231\2\0\1\231\105\0\3\231\1\u017c\11\231\1\0"+
    "\72\231\22\0\1\u01f7\32\0\1\u01f7\62\0\1\116\5\0"+
    "\1\116\24\0\1\116\5\0\1\116\13\0\1\116\20\0"+
    "\1\u01f8\1\0\30\u0180\2\0\1\u0180\72\0\1\u01f9\32\0"+
    "\1\u01f9\43\0\1\250\32\0\1\250\54\0\1\u01fa\32\0"+
    "\1\u01fa\53\0\1\u011e\32\0\1\u011e\54\0\1\u011e\14\0"+
    "\1\u01fb\4\0\1\u011f\10\0\1\u011e\14\0\1\u01fb\4\0"+
    "\1\u011f\42\0\1\u0114\32\0\1\u0114\22\0\4\u0181\1\0"+
    "\1\u0182\1\0\1\44\1\45\6\0\1\47\2\0\1\u0189"+
    "\1\51\1\52\1\53\4\0\1\54\1\55\1\56\1\57"+
    "\3\0\1\60\10\0\1\47\2\0\1\u0189\1\51\1\52"+
    "\1\53\4\0\1\54\1\55\1\56\1\57\3\0\1\60"+
    "\10\0\1\60\25\0\1\251\3\0\1\155\26\0\1\251"+
    "\3\0\1\155\21\0\1\155\26\0\1\u01fc\32\0\1\u01fc"+
    "\47\0\1\42\127\0\1\u01fd\32\0\1\u01fd\54\0\1\u01fe"+
    "\32\0\1\u01fe\54\0\1\u01ff\32\0\1\u01ff\41\0\1\u0125"+
    "\32\0\1\u0125\67\0\1\u0200\32\0\1\u0200\56\0\1\u018f"+
    "\32\0\1\u018f\50\0\1\u0201\32\0\1\u0201\61\0\1\u0202"+
    "\32\0\1\u0202\10\0\1\u0202\20\0\1\62\71\0\4\u0203"+
    "\1\0\1\u0204\1\0\1\175\1\45\12\0\1\51\15\0"+
    "\1\145\14\0\1\51\15\0\1\145\10\0\1\145\31\0"+
    "\1\u0205\32\0\1\u0205\21\0\1\u0205\32\0\1\u0206\5\0"+
    "\1\u0207\24\0\1\u0206\5\0\1\u0207\13\0\1\u0206\45\0"+
    "\1\317\32\0\1\317\46\0\1\u0208\32\0\1\u0208\43\0"+
    "\1\u0209\32\0\1\u0209\73\0\1\u019c\32\0\1\u019c\34\0"+
    "\1\u019e\4\0\1\u0206\25\0\1\u019e\4\0\1\u0206\21\0"+
    "\1\u0206\3\0\3\u0203\1\u020a\1\0\1\u0204\1\0\1\175"+
    "\1\45\11\0\1\u019e\1\51\15\0\1\145\2\0\1\u019f"+
    "\10\0\1\u019e\1\51\15\0\1\145\2\0\1\u019f\5\0"+
    "\1\145\25\0\1\u0134\32\0\1\u0134\60\0\1\u0134\32\0"+
    "\1\u0134\21\0\1\u0134\32\0\1\u020b\32\0\1\u020b\21\0"+
    "\1\u020b\41\0\1\u020c\32\0\1\u020c\57\0\1\u020d\32\0"+
    "\1\u020d\10\0\1\u020d\25\0\1\u020e\32\0\1\u020e\37\0"+
    "\1\61\135\0\1\u020f\32\0\1\u020f\43\0\1\330\32\0"+
    "\1\330\54\0\1\u0210\32\0\1\u0210\53\0\1\u014a\32\0"+
    "\1\u014a\54\0\1\u014a\14\0\1\u0211\4\0\1\u014b\10\0"+
    "\1\u014a\14\0\1\u0211\4\0\1\u014b\42\0\1\u0141\32\0"+
    "\1\u0141\22\0\4\u01a5\1\0\1\u01a6\1\0\1\74\12\0"+
    "\1\u014a\32\0\1\u014a\55\0\1\u0212\32\0\1\u0212\47\0"+
    "\1\72\127\0\1\u0213\32\0\1\u0213\36\0\1\u0214\32\0"+
    "\1\u0214\76\0\1\u0215\32\0\1\u0215\47\0\1\215\32\0"+
    "\1\215\55\0\1\u0216\32\0\1\u0216\34\0\1\116\120\0"+
    "\1\u0217\32\0\1\u0217\21\0\1\u0217\26\0\1\u0218\17\0"+
    "\1\u0219\12\0\1\u0218\17\0\1\u0219\11\0\4\u0108\1\0"+
    "\1\u0109\14\0\1\u021a\32\0\1\u021a\67\0\1\u021b\32\0"+
    "\1\u021b\40\0\1\u021c\32\0\1\u021c\76\0\1\u021d\32\0"+
    "\1\u021d\34\0\1\u021e\15\0\1\u010e\1\0\1\u010f\12\0"+
    "\1\u021e\15\0\1\u010e\1\0\1\u010f\6\0\1\u010e\25\0"+
    "\1\u021f\32\0\1\u021f\65\0\1\u0220\32\0\1\u0220\47\0"+
    "\1\u0221\32\0\1\u0221\21\0\1\u0221\23\0\1\u0222\32\0"+
    "\1\u0222\34\0\1\u01b8\1\u0159\2\u01b8\1\0\1\u01c7\2\0"+
    "\1\u01b8\3\0\1\362\6\0\1\u01bc\10\0\1\u01c8\4\0"+
    "\1\u0103\14\0\1\u01bc\10\0\1\u01c8\4\0\1\u0103\10\0"+
    "\1\u0103\36\0\1\u0223\32\0\1\u0223\55\0\1\u0224\32\0"+
    "\1\u0224\53\0\1\u0225\32\0\1\u0225\55\0\1\u0226\32\0"+
    "\1\u0226\42\0\1\u0227\32\0\1\u0227\30\0\1\231\2\u0228"+
    "\1\u0229\1\u0228\1\231\1\u022a\1\231\1\235\1\236\3\231"+
    "\1\0\6\231\1\241\10\231\1\242\4\231\1\243\14\231"+
    "\1\241\10\231\1\242\4\231\1\243\10\231\1\243\1\231"+
    "\30\0\1\u022b\32\0\1\u022b\21\0\1\u022b\24\0\1\u01f4"+
    "\5\0\1\u022b\24\0\1\u01f4\5\0\1\u022b\21\0\1\u022b"+
    "\32\0\1\u022c\5\0\1\u022d\24\0\1\u022c\5\0\1\u022d"+
    "\13\0\1\u022c\45\0\1\372\32\0\1\372\46\0\1\u022e"+
    "\32\0\1\u022e\43\0\1\u022f\32\0\1\u022f\73\0\1\u01d4"+
    "\32\0\1\u01d4\34\0\1\u01d6\4\0\1\u022c\25\0\1\u01d6"+
    "\4\0\1\u022c\21\0\1\u022c\2\0\1\231\2\u0228\1\u0229"+
    "\1\u0230\1\231\1\u022a\1\231\1\235\1\236\3\231\1\0"+
    "\5\231\1\u0231\1\241\10\231\1\242\4\231\1\243\2\231"+
    "\1\u0232\10\231\1\u0231\1\241\10\231\1\242\4\231\1\243"+
    "\2\231\1\u0232\5\231\1\243\1\231\24\0\1\u015d\32\0"+
    "\1\u015d\60\0\1\u015d\32\0\1\u015d\21\0\1\u015d\32\0"+
    "\1\u0233\32\0\1\u0233\21\0\1\u0233\41\0\1\u0234\32\0"+
    "\1\u0234\57\0\1\u0235\32\0\1\u0235\10\0\1\u0235\43\0"+
    "\1\u0236\32\0\1\u0236\10\0\1\u0236\22\0\1\u0237\32\0"+
    "\1\u0237\75\0\1\u0238\32\0\1\u0238\10\0\1\u0238\43\0"+
    "\1\u0239\32\0\1\u0239\10\0\1\u0239\31\0\1\u023a\32\0"+
    "\1\u023a\21\0\1\u023a\26\0\1\u023b\17\0\1\u023c\12\0"+
    "\1\u023b\17\0\1\u023c\46\0\1\u023d\32\0\1\u023d\40\0"+
    "\1\u023e\32\0\1\u023e\76\0\1\u023f\32\0\1\u023f\34\0"+
    "\1\u0240\15\0\1\u010e\1\0\1\u010f\12\0\1\u0240\15\0"+
    "\1\u010e\1\0\1\u010f\6\0\1\u010e\25\0\1\u0241\32\0"+
    "\1\u0241\65\0\1\u0242\32\0\1\u0242\47\0\1\u0243\32\0"+
    "\1\u0243\21\0\1\u0243\23\0\1\u0244\32\0\1\u0244\34\0"+
    "\1\u01e2\1\u0177\2\u01e2\1\0\1\u01f0\2\0\1\u01e2\12\0"+
    "\1\u0102\15\0\1\u0103\14\0\1\u0102\15\0\1\u0103\10\0"+
    "\1\u0103\36\0\1\u0245\32\0\1\u0245\54\0\1\u0246\32\0"+
    "\1\u0246\43\0\1\u0247\32\0\1\u0247\51\0\1\u0248\32\0"+
    "\1\u0248\62\0\1\u0249\32\0\1\u0249\51\0\1\u024a\32\0"+
    "\1\u024a\30\0\3\231\1\u017c\7\231\1\u017d\1\231\1\0"+
    "\6\231\1\u024b\32\231\1\u024b\30\231\2\u01f8\2\0\1\u01f8"+
    "\1\0\10\u01f8\1\u024c\31\u01f8\2\0\36\u01f8\21\0\1\u024d"+
    "\32\0\1\u024d\75\0\1\u024e\32\0\1\u024e\10\0\1\u024e"+
    "\45\0\1\u024f\32\0\1\u024f\52\0\1\u0250\32\0\1\u0250"+
    "\10\0\1\u0250\20\0\1\142\107\0\1\45\107\0\1\46"+
    "\107\0\1\156\133\0\1\u0251\32\0\1\u0251\53\0\1\u0252"+
    "\32\0\1\u0252\10\0\1\u0252\36\0\1\u0253\32\0\1\u0253"+
    "\43\0\1\u0133\32\0\1\u0133\54\0\1\u0254\32\0\1\u0254"+
    "\53\0\1\u019e\32\0\1\u019e\54\0\1\u019e\14\0\1\u0255"+
    "\4\0\1\u019f\10\0\1\u019e\14\0\1\u0255\4\0\1\u019f"+
    "\42\0\1\u0195\32\0\1\u0195\22\0\4\u0203\1\0\1\u0204"+
    "\1\0\1\175\1\45\11\0\1\u019e\1\51\15\0\1\145"+
    "\13\0\1\u019e\1\51\15\0\1\145\10\0\1\145\25\0"+
    "\1\u0256\32\0\1\u0256\47\0\1\173\127\0\1\u0257\32\0"+
    "\1\u0257\35\0\1\u0258\5\0\1\u0259\24\0\1\u0258\5\0"+
    "\1\u0259\47\0\1\u025a\32\0\1\u025a\75\0\1\u025b\32\0"+
    "\1\u025b\10\0\1\u025b\45\0\1\u025c\32\0\1\u025c\52\0"+
    "\1\u025d\32\0\1\u025d\10\0\1\u025d\20\0\1\75\125\0"+
    "\1\u025e\32\0\1\u025e\43\0\1\113\32\0\1\113\47\0"+
    "\1\117\132\0\1\u025f\32\0\1\u025f\10\0\1\u025f\23\0"+
    "\1\u0260\32\0\1\u0260\70\0\1\u0220\32\0\1\u0220\17\0"+
    "\4\u010b\1\0\1\u0179\136\0\1\u0261\7\0\1\u0262\22\0"+
    "\1\u0261\7\0\1\u0262\52\0\1\u0262\32\0\1\u0262\31\0"+
    "\1\u0263\7\0\1\u0264\22\0\1\u0263\7\0\1\u0264\21\0"+
    "\1\u0264\30\0\1\u017b\5\0\1\u0265\2\0\1\u0266\6\0"+
    "\1\u0267\12\0\1\u017b\5\0\1\u0265\2\0\1\u0266\6\0"+
    "\1\u0267\47\0\1\u0268\32\0\1\u0268\36\0\1\u0269\21\0"+
    "\1\u026a\10\0\1\u0269\21\0\1\u026a\31\0\1\u026b\32\0"+
    "\1\u026b\74\0\1\u026c\32\0\1\u026c\10\0\1\u026c\22\0"+
    "\1\u026d\32\0\1\u026d\70\0\1\u026e\32\0\1\u026e\40\0"+
    "\1\u026f\32\0\1\u026f\70\0\1\u0260\7\0\1\u0262\22\0"+
    "\1\u0260\7\0\1\u0262\43\0\1\u0265\2\0\1\u0266\6\0"+
    "\1\u0267\20\0\1\u0265\2\0\1\u0266\6\0\1\u0267\7\0"+
    "\4\u0270\1\0\1\u0271\1\0\1\357\1\360\3\0\1\362"+
    "\6\0\1\365\10\0\1\u0169\4\0\1\u0103\14\0\1\365"+
    "\10\0\1\u0169\4\0\1\u0103\10\0\1\u0103\2\0\1\u0270"+
    "\1\u0228\2\u0270\1\0\1\u0271\1\0\1\357\1\360\3\0"+
    "\1\362\6\0\1\365\10\0\1\u0169\4\0\1\u0103\14\0"+
    "\1\365\10\0\1\u0169\4\0\1\u0103\10\0\1\u0103\36\0"+
    "\1\u0272\32\0\1\u0272\43\0\1\u015c\32\0\1\u015c\54\0"+
    "\1\u0273\32\0\1\u0273\53\0\1\u01d6\32\0\1\u01d6\54\0"+
    "\1\u01d6\14\0\1\u0274\4\0\1\u01d7\10\0\1\u01d6\14\0"+
    "\1\u0274\4\0\1\u01d7\42\0\1\u01cc\32\0\1\u01cc\22\0"+
    "\4\u0270\1\0\1\u0271\1\0\1\357\1\360\3\0\1\362"+
    "\5\0\1\u01d6\1\365\10\0\1\u0169\4\0\1\u0103\13\0"+
    "\1\u01d6\1\365\10\0\1\u0169\4\0\1\u0103\10\0\1\u0103"+
    "\25\0\1\u0275\32\0\1\u0275\47\0\1\355\127\0\1\u0276"+
    "\32\0\1\u0276\54\0\1\u0277\32\0\1\u0277\57\0\1\u0278"+
    "\32\0\1\u0278\10\0\1\u0278\40\0\1\u0279\32\0\1\u0279"+
    "\54\0\1\u027a\32\0\1\u027a\57\0\1\u027b\32\0\1\u027b"+
    "\10\0\1\u027b\23\0\1\u027c\32\0\1\u027c\70\0\1\u0242"+
    "\32\0\1\u0242\53\0\1\u027c\7\0\1\u027d\22\0\1\u027c"+
    "\7\0\1\u027d\52\0\1\u027d\32\0\1\u027d\31\0\1\u027e"+
    "\7\0\1\u027f\22\0\1\u027e\7\0\1\u027f\21\0\1\u027f"+
    "\30\0\1\u017b\5\0\1\u0280\2\0\1\u0281\6\0\1\u0282"+
    "\12\0\1\u017b\5\0\1\u0280\2\0\1\u0281\6\0\1\u0282"+
    "\47\0\1\u0283\32\0\1\u0283\36\0\1\u0284\21\0\1\u0285"+
    "\10\0\1\u0284\21\0\1\u0285\31\0\1\u0286\32\0\1\u0286"+
    "\74\0\1\u0287\32\0\1\u0287\10\0\1\u0287\22\0\1\u0288"+
    "\32\0\1\u0288\54\0\1\u0289\32\0\1\u0289\67\0\1\u0280"+
    "\2\0\1\u0281\6\0\1\u0282\20\0\1\u0280\2\0\1\u0281"+
    "\6\0\1\u0282\50\0\1\u028a\32\0\1\u028a\10\0\1\u028a"+
    "\7\0\1\u028b\15\0\1\u028c\32\0\1\u028c\24\0\1\u010b"+
    "\40\0\1\u028d\32\0\1\u028d\61\0\1\u028e\32\0\1\u028e"+
    "\10\0\1\u028e\16\0\1\u028f\134\0\1\u0290\32\0\1\u0290"+
    "\10\0\1\u0290\2\0\3\u0181\1\u0188\1\0\1\u0182\1\0"+
    "\1\44\1\45\6\0\1\47\2\0\1\u0189\1\51\1\52"+
    "\1\53\4\0\1\54\1\55\1\56\1\57\3\0\1\60"+
    "\10\0\1\47\2\0\1\u0189\1\51\1\52\1\53\4\0"+
    "\1\54\1\55\1\56\1\57\3\0\1\60\10\0\1\60"+
    "\31\0\1\u0184\32\0\1\u0184\21\0\1\u0184\3\0\3\u0181"+
    "\1\u0291\1\0\1\u0182\1\0\1\44\1\45\6\0\1\47"+
    "\1\130\1\0\1\50\1\51\1\52\1\53\4\0\1\54"+
    "\1\55\1\56\1\57\1\0\1\u0292\1\0\1\u0293\1\u0294"+
    "\7\0\1\47\1\130\1\0\1\50\1\51\1\52\1\53"+
    "\4\0\1\54\1\55\1\56\1\57\1\0\1\u0292\1\0"+
    "\1\u0293\1\u0294\7\0\1\u0293\25\0\1\306\3\0\1\306"+
    "\26\0\1\306\3\0\1\306\21\0\1\306\32\0\1\u0295"+
    "\32\0\1\u0295\21\0\1\u0295\23\0\1\u0296\32\0\1\u0296"+
    "\75\0\1\u0297\32\0\1\u0297\10\0\1\u0297\45\0\1\u0298"+
    "\32\0\1\u0298\52\0\1\u0299\32\0\1\u0299\10\0\1\u0299"+
    "\20\0\1\176\112\0\1\u029a\32\0\1\u029a\73\0\1\u029b"+
    "\32\0\1\u029b\55\0\1\u029c\32\0\1\u029c\10\0\1\u029c"+
    "\2\0\3\u01a5\1\u01ac\1\0\1\u01a6\1\0\1\74\12\0"+
    "\1\u014a\32\0\1\u014a\61\0\1\u01a8\32\0\1\u01a8\21\0"+
    "\1\u01a8\3\0\3\u01a5\1\u029d\1\0\1\u01a6\1\0\1\74"+
    "\10\0\1\202\16\0\1\u029e\1\0\1\u029f\1\u02a0\10\0"+
    "\1\202\16\0\1\u029e\1\0\1\u029f\1\u02a0\7\0\1\u029f"+
    "\7\0\1\215\101\0\1\231\2\u02a1\1\u02a2\1\u02a1\1\231"+
    "\1\u02a3\1\231\1\u0158\1\u0159\3\231\1\0\6\231\1\u015b"+
    "\15\231\1\243\14\231\1\u015b\15\231\1\243\10\231\1\243"+
    "\1\231\30\0\1\u02a4\32\0\1\u02a4\21\0\1\u02a4\24\0"+
    "\1\u02a5\5\0\1\u02a4\24\0\1\u02a5\5\0\1\u02a4\21\0"+
    "\1\u02a4\32\0\1\u02a6\5\0\1\u02a7\24\0\1\u02a6\5\0"+
    "\1\u02a7\13\0\1\u02a6\45\0\1\u01c1\32\0\1\u01c1\46\0"+
    "\1\u02a8\32\0\1\u02a8\43\0\1\u02a9\32\0\1\u02a9\73\0"+
    "\1\u0267\32\0\1\u0267\34\0\1\u0269\4\0\1\u02a6\25\0"+
    "\1\u0269\4\0\1\u02a6\21\0\1\u02a6\2\0\1\231\2\u02a1"+
    "\1\u02a2\1\u02aa\1\231\1\u02a3\1\231\1\u0158\1\u0159\3\231"+
    "\1\0\5\231\1\u02ab\1\u015b\15\231\1\243\2\231\1\u02ac"+
    "\10\231\1\u02ab\1\u015b\15\231\1\243\2\231\1\u02ac\5\231"+
    "\1\243\1\231\24\0\1\u0218\32\0\1\u0218\60\0\1\u0218"+
    "\32\0\1\u0218\21\0\1\u0218\32\0\1\u02ad\32\0\1\u02ad"+
    "\21\0\1\u02ad\41\0\1\u02ae\32\0\1\u02ae\57\0\1\u02af"+
    "\32\0\1\u02af\10\0\1\u02af\23\0\1\u02a5\32\0\1\u02a5"+
    "\74\0\1\u02b0\32\0\1\u02b0\10\0\1\u02b0\22\0\1\u02b1"+
    "\32\0\1\u02b1\75\0\1\u02b2\32\0\1\u02b2\10\0\1\u02b2"+
    "\45\0\1\u02b3\32\0\1\u02b3\52\0\1\u02b4\32\0\1\u02b4"+
    "\10\0\1\u02b4\20\0\1\u0167\107\0\1\360\127\0\1\u02b5"+
    "\32\0\1\u02b5\34\0\1\361\107\0\1\u0108\70\0\1\231"+
    "\2\u02b6\1\u02b7\1\u02b6\1\231\1\u02b8\1\231\1\u0176\1\u0177"+
    "\3\231\1\0\6\231\1\u015b\15\231\1\243\14\231\1\u015b"+
    "\15\231\1\243\10\231\1\243\1\231\30\0\1\u02b9\32\0"+
    "\1\u02b9\21\0\1\u02b9\32\0\1\u02ba\5\0\1\u02bb\24\0"+
    "\1\u02ba\5\0\1\u02bb\13\0\1\u02ba\45\0\1\u01ea\32\0"+
    "\1\u01ea\46\0\1\u02bc\32\0\1\u02bc\43\0\1\u02bd\32\0"+
    "\1\u02bd\73\0\1\u0282\32\0\1\u0282\34\0\1\u0284\4\0"+
    "\1\u02ba\25\0\1\u0284\4\0\1\u02ba\21\0\1\u02ba\2\0"+
    "\1\231\2\u02b6\1\u02b7\1\u02be\1\231\1\u02b8\1\231\1\u0176"+
    "\1\u0177\3\231\1\0\5\231\1\u02bf\1\u015b\15\231\1\243"+
    "\2\231\1\u02c0\10\231\1\u02bf\1\u015b\15\231\1\243\2\231"+
    "\1\u02c0\5\231\1\243\1\231\24\0\1\u023b\32\0\1\u023b"+
    "\60\0\1\u023b\32\0\1\u023b\21\0\1\u023b\32\0\1\u02c1"+
    "\32\0\1\u02c1\21\0\1\u02c1\41\0\1\u02c2\32\0\1\u02c2"+
    "\57\0\1\u02c3\32\0\1\u02c3\10\0\1\u02c3\43\0\1\u02c4"+
    "\32\0\1\u02c4\10\0\1\u02c4\40\0\1\u02c5\32\0\1\u02c5"+
    "\41\0\1\u02c6\32\0\1\u02c6\31\0\4\u010b\1\0\1\u0179"+
    "\1\u010b\5\0\1\u010a\135\0\1\u02c7\32\0\1\u02c7\53\0"+
    "\1\u02c8\32\0\1\u02c8\10\0\1\u02c8\16\0\1\u028f\33\0"+
    "\1\u02c9\75\0\1\u02ca\32\0\1\u02ca\16\0\4\u0181\1\0"+
    "\1\u0182\1\0\1\44\1\45\6\0\1\47\1\130\1\0"+
    "\1\50\1\51\1\52\1\53\4\0\1\54\1\55\1\56"+
    "\1\57\1\0\1\u0292\1\0\1\u0293\1\u0294\7\0\1\47"+
    "\1\130\1\0\1\50\1\51\1\52\1\53\4\0\1\54"+
    "\1\55\1\56\1\57\1\0\1\u0292\1\0\1\u0293\1\u0294"+
    "\7\0\1\u0293\45\0\1\u02cb\32\0\1\u02cb\34\0\1\u02cc"+
    "\15\0\1\170\1\0\1\171\12\0\1\u02cc\15\0\1\170"+
    "\1\0\1\171\6\0\1\170\25\0\1\u02cd\32\0\1\u02cd"+
    "\75\0\1\u02ce\32\0\1\u02ce\51\0\1\u02cf\32\0\1\u02cf"+
    "\10\0\1\u02cf\2\0\3\u0203\1\u020a\1\0\1\u0204\1\0"+
    "\1\175\1\45\11\0\1\u019e\1\51\15\0\1\145\13\0"+
    "\1\u019e\1\51\15\0\1\145\10\0\1\145\31\0\1\u0206"+
    "\32\0\1\u0206\21\0\1\u0206\3\0\3\u0203\1\u02d0\1\0"+
    "\1\u0204\1\0\1\175\1\45\7\0\1\311\2\0\1\51"+
    "\13\0\1\u02d1\1\0\1\u02d2\1\u02d3\10\0\1\311\2\0"+
    "\1\51\13\0\1\u02d1\1\0\1\u02d2\1\u02d3\7\0\1\u02d2"+
    "\45\0\1\u02d4\32\0\1\u02d4\30\0\1\u02d5\32\0\1\u02d5"+
    "\73\0\1\u02d6\32\0\1\u02d6\16\0\4\u01a5\1\0\1\u01a6"+
    "\1\0\1\74\10\0\1\202\16\0\1\u029e\1\0\1\u029f"+
    "\1\u02a0\10\0\1\202\16\0\1\u029e\1\0\1\u029f\1\u02a0"+
    "\7\0\1\u029f\45\0\1\u02d7\32\0\1\u02d7\34\0\1\u02d8"+
    "\32\0\1\u02d8\54\0\1\u02d9\32\0\1\u02d9\31\0\4\u02da"+
    "\1\0\1\u02db\1\0\1\u01b7\1\u01b8\3\0\1\362\6\0"+
    "\1\u01bc\10\0\1\u01c8\4\0\1\u0103\14\0\1\u01bc\10\0"+
    "\1\u01c8\4\0\1\u0103\10\0\1\u0103\2\0\1\u02da\1\u02a1"+
    "\2\u02da\1\0\1\u02db\1\0\1\u01b7\1\u01b8\3\0\1\362"+
    "\6\0\1\u01bc\10\0\1\u01c8\4\0\1\u0103\14\0\1\u01bc"+
    "\10\0\1\u01c8\4\0\1\u0103\10\0\1\u0103\36\0\1\u02dc"+
    "\32\0\1\u02dc\43\0\1\u0217\32\0\1\u0217\57\0\1\u02dd"+
    "\32\0\1\u02dd\51\0\1\u02de\32\0\1\u02de\53\0\1\u0269"+
    "\32\0\1\u0269\54\0\1\u0269\14\0\1\u02df\4\0\1\u026a"+
    "\10\0\1\u0269\14\0\1\u02df\4\0\1\u026a\42\0\1\u025f"+
    "\32\0\1\u025f\22\0\4\u02da\1\0\1\u02db\1\0\1\u01b7"+
    "\1\u01b8\3\0\1\362\5\0\1\u0269\1\u01bc\10\0\1\u01c8"+
    "\4\0\1\u0103\13\0\1\u0269\1\u01bc\10\0\1\u01c8\4\0"+
    "\1\u0103\10\0\1\u0103\25\0\1\u02e0\32\0\1\u02e0\47\0"+
    "\1\u01b5\127\0\1\u02e1\32\0\1\u02e1\54\0\1\u02e2\32\0"+
    "\1\u02e2\57\0\1\u02e3\32\0\1\u02e3\10\0\1\u02e3\1\0"+
    "\1\231\2\u0228\1\u0229\1\u0230\1\231\1\u022a\1\231\1\235"+
    "\1\236\3\231\1\0\5\231\1\u0231\1\241\10\231\1\242"+
    "\4\231\1\243\13\231\1\u0231\1\241\10\231\1\242\4\231"+
    "\1\243\10\231\1\243\1\231\30\0\1\u022c\32\0\1\u022c"+
    "\21\0\1\u022c\2\0\1\231\2\u0228\1\u0229\1\u02e4\1\231"+
    "\1\u022a\1\231\1\235\1\236\3\231\1\0\3\231\1\u02e5"+
    "\2\231\1\241\10\231\1\242\2\231\1\u02e6\1\231\1\u02e7"+
    "\1\u02e8\10\231\1\u02e5\2\231\1\241\10\231\1\242\2\231"+
    "\1\u02e6\1\231\1\u02e7\1\u02e8\7\231\1\u02e7\1\231\17\0"+
    "\1\u016c\71\0\4\u02e9\1\0\1\u02ea\1\0\1\u01e1\1\u01e2"+
    "\12\0\1\u0102\15\0\1\u0103\14\0\1\u0102\15\0\1\u0103"+
    "\10\0\1\u0103\2\0\1\u02e9\1\u02b6\2\u02e9\1\0\1\u02ea"+
    "\1\0\1\u01e1\1\u01e2\12\0\1\u0102\15\0\1\u0103\14\0"+
    "\1\u0102\15\0\1\u0103\10\0\1\u0103\36\0\1\u02eb\32\0"+
    "\1\u02eb\43\0\1\u023a\32\0\1\u023a\54\0\1\u02ec\32\0"+
    "\1\u02ec\53\0\1\u0284\32\0\1\u0284\54\0\1\u0284\14\0"+
    "\1\u02ed\4\0\1\u0285\10\0\1\u0284\14\0\1\u02ed\4\0"+
    "\1\u0285\42\0\1\u027b\32\0\1\u027b\22\0\4\u02e9\1\0"+
    "\1\u02ea\1\0\1\u01e1\1\u01e2\11\0\1\u0284\1\u0102\15\0"+
    "\1\u0103\13\0\1\u0284\1\u0102\15\0\1\u0103\10\0\1\u0103"+
    "\25\0\1\u02ee\32\0\1\u02ee\47\0\1\u01df\127\0\1\u02ef"+
    "\32\0\1\u02ef\54\0\1\u02f0\32\0\1\u02f0\34\0\1\u010b"+
    "\110\0\1\u02f1\5\0\1\u02f2\24\0\1\u02f1\5\0\1\u02f2"+
    "\52\0\1\u02f3\3\0\1\u02f3\26\0\1\u02f3\3\0\1\u02f3"+
    "\21\0\1\u02f3\32\0\1\u02f4\32\0\1\u02f4\21\0\1\u02f4"+
    "\21\0\1\u0181\110\0\1\u02f5\7\0\1\u02f6\22\0\1\u02f5"+
    "\7\0\1\u02f6\21\0\1\u02f6\30\0\1\304\5\0\1\u011a"+
    "\6\0\1\305\15\0\1\304\5\0\1\u011a\6\0\1\305"+
    "\52\0\1\u0114\32\0\1\u0114\33\0\1\306\3\0\1\306"+
    "\3\0\1\306\5\0\1\306\14\0\1\306\3\0\1\306"+
    "\3\0\1\306\5\0\1\306\13\0\1\306\41\0\1\u02f7"+
    "\32\0\1\u02f7\16\0\4\u0203\1\0\1\u0204\1\0\1\175"+
    "\1\45\7\0\1\311\2\0\1\51\13\0\1\u02d1\1\0"+
    "\1\u02d2\1\u02d3\10\0\1\311\2\0\1\51\13\0\1\u02d1"+
    "\1\0\1\u02d2\1\u02d3\7\0\1\u02d2\45\0\1\u02f8\32\0"+
    "\1\u02f8\34\0\1\u02f9\15\0\1\170\1\0\1\171\12\0"+
    "\1\u02f9\15\0\1\170\1\0\1\171\6\0\1\170\25\0"+
    "\1\u02fa\32\0\1\u02fa\73\0\1\u02fb\32\0\1\u02fb\56\0"+
    "\1\u02fb\32\0\1\u02fb\26\0\1\u01a5\110\0\1\u02fc\7\0"+
    "\1\u02fd\22\0\1\u02fc\7\0\1\u02fd\21\0\1\u02fd\36\0"+
    "\1\u0146\32\0\1\u0146\61\0\1\u0141\32\0\1\u0141\34\0"+
    "\1\u02fe\32\0\1\u02fe\41\0\1\u02ff\15\0\1\u0300\32\0"+
    "\1\u0300\24\0\1\u021a\45\0\1\u0301\32\0\1\u0301\10\0"+
    "\1\u0301\45\0\1\u0302\32\0\1\u0302\52\0\1\u0303\32\0"+
    "\1\u0303\10\0\1\u0303\20\0\1\u01b8\107\0\1\u01b9\127\0"+
    "\1\u0304\32\0\1\u0304\16\0\4\u0270\1\0\1\u0271\1\0"+
    "\1\357\1\360\3\0\1\362\3\0\1\363\2\0\1\365"+
    "\10\0\1\u0169\2\0\1\u0305\1\0\1\u0306\1\u0307\10\0"+
    "\1\363\2\0\1\365\10\0\1\u0169\2\0\1\u0305\1\0"+
    "\1\u0306\1\u0307\7\0\1\u0306\45\0\1\u0308\32\0\1\u0308"+
    "\34\0\1\u0309\15\0\1\u010e\1\0\1\u010f\12\0\1\u0309"+
    "\15\0\1\u010e\1\0\1\u010f\6\0\1\u010e\25\0\1\u030a"+
    "\32\0\1\u030a\51\0\1\u030b\32\0\1\u030b\75\0\1\u030c"+
    "\32\0\1\u030c\10\0\1\u030c\45\0\1\u030d\32\0\1\u030d"+
    "\52\0\1\u030e\32\0\1\u030e\10\0\1\u030e\20\0\1\u01e2"+
    "\107\0\1\u01e3\112\0\1\u030f\32\0\1\u030f\73\0\1\u0310"+
    "\32\0\1\u0310\60\0\1\u0311\32\0\1\u0311\52\0\1\u0294"+
    "\32\0\1\u0294\46\0\1\u0312\32\0\1\u0312\36\0\1\u0203"+
    "\110\0\1\u0313\7\0\1\u0314\22\0\1\u0313\7\0\1\u0314"+
    "\21\0\1\u0314\30\0\1\304\5\0\1\u019a\24\0\1\304"+
    "\5\0\1\u019a\61\0\1\u0195\32\0\1\u0195\37\0\1\u0315"+
    "\32\0\1\u0315\73\0\1\u02a0\32\0\1\u02a0\46\0\1\u0316"+
    "\32\0\1\u0316\61\0\1\u0317\32\0\1\u0317\10\0\1\u0317"+
    "\25\0\1\u0318\32\0\1\u0318\31\0\4\u010b\1\0\1\u0179"+
    "\1\u021a\100\0\1\231\2\u02a1\1\u02a2\1\u02aa\1\231\1\u02a3"+
    "\1\231\1\u0158\1\u0159\3\231\1\0\5\231\1\u02ab\1\u015b"+
    "\15\231\1\243\13\231\1\u02ab\1\u015b\15\231\1\243\10\231"+
    "\1\243\1\231\30\0\1\u02a6\32\0\1\u02a6\21\0\1\u02a6"+
    "\2\0\1\231\2\u02a1\1\u02a2\1\u0319\1\231\1\u02a3\1\231"+
    "\1\u0158\1\u0159\3\231\1\0\3\231\1\u031a\2\231\1\u015b"+
    "\13\231\1\u031b\1\231\1\u031c\1\u031d\10\231\1\u031a\2\231"+
    "\1\u015b\13\231\1\u031b\1\231\1\u031c\1\u031d\7\231\1\u031c"+
    "\1\231\17\0\1\u0270\110\0\1\u031e\7\0\1\u031f\22\0"+
    "\1\u031e\7\0\1\u031f\21\0\1\u031f\30\0\1\u017b\5\0"+
    "\1\u01d2\24\0\1\u017b\5\0\1\u01d2\61\0\1\u01cc\32\0"+
    "\1\u01cc\55\0\1\u0320\32\0\1\u0320\10\0\1\u0320\1\0"+
    "\1\231\2\u02b6\1\u02b7\1\u02be\1\231\1\u02b8\1\231\1\u0176"+
    "\1\u0177\3\231\1\0\5\231\1\u02bf\1\u015b\15\231\1\243"+
    "\13\231\1\u02bf\1\u015b\15\231\1\243\10\231\1\243\1\231"+
    "\30\0\1\u02ba\32\0\1\u02ba\21\0\1\u02ba\2\0\1\231"+
    "\2\u02b6\1\u02b7\1\u0321\1\231\1\u02b8\1\231\1\u0176\1\u0177"+
    "\3\231\1\0\3\231\1\u0322\2\231\1\u015b\13\231\1\u0323"+
    "\1\231\1\u0324\1\u0325\10\231\1\u0322\2\231\1\u015b\13\231"+
    "\1\u0323\1\231\1\u0324\1\u0325\7\231\1\u0324\1\231\44\0"+
    "\1\u0326\32\0\1\u0326\30\0\1\u0327\32\0\1\u0327\54\0"+
    "\1\u02f3\3\0\1\u02f3\3\0\1\u02f3\5\0\1\u02f3\14\0"+
    "\1\u02f3\3\0\1\u02f3\3\0\1\u02f3\5\0\1\u02f3\13\0"+
    "\1\u02f3\42\0\1\u0328\32\0\1\u0328\57\0\1\u02d3\32\0"+
    "\1\u02d3\46\0\1\u0329\32\0\1\u0329\36\0\1\61\130\0"+
    "\1\u032a\32\0\1\u032a\53\0\1\u032b\32\0\1\u032b\35\0"+
    "\1\u032c\5\0\1\u032d\24\0\1\u032c\5\0\1\u032d\27\0"+
    "\4\u02da\1\0\1\u02db\1\0\1\u01b7\1\u01b8\3\0\1\362"+
    "\3\0\1\u01ba\2\0\1\u01bc\10\0\1\u01c8\2\0\1\u032e"+
    "\1\0\1\u032f\1\u0330\10\0\1\u01ba\2\0\1\u01bc\10\0"+
    "\1\u01c8\2\0\1\u032e\1\0\1\u032f\1\u0330\7\0\1\u032f"+
    "\45\0\1\u0331\32\0\1\u0331\34\0\1\u0332\15\0\1\u010e"+
    "\1\0\1\u010f\12\0\1\u0332\15\0\1\u010e\1\0\1\u010f"+
    "\6\0\1\u010e\25\0\1\u0333\32\0\1\u0333\73\0\1\u0307"+
    "\32\0\1\u0307\46\0\1\u0334\32\0\1\u0334\56\0\1\u0335"+
    "\32\0\1\u0335\16\0\4\u02e9\1\0\1\u02ea\1\0\1\u01e1"+
    "\1\u01e2\7\0\1\u01e4\2\0\1\u0102\13\0\1\u0336\1\0"+
    "\1\u0337\1\u0338\10\0\1\u01e4\2\0\1\u0102\13\0\1\u0336"+
    "\1\0\1\u0337\1\u0338\7\0\1\u0337\45\0\1\u0339\32\0"+
    "\1\u0339\34\0\1\u033a\15\0\1\u010e\1\0\1\u010f\12\0"+
    "\1\u033a\15\0\1\u010e\1\0\1\u010f\6\0\1\u010e\25\0"+
    "\1\u033b\32\0\1\u033b\73\0\1\u033c\32\0\1\u033c\56\0"+
    "\1\u033c\32\0\1\u033c\53\0\1\u0115\32\0\1\u0115\50\0"+
    "\1\u033d\32\0\1\u033d\60\0\1\u0142\32\0\1\u0142\27\0"+
    "\1\u02da\112\0\1\u033e\32\0\1\u033e\73\0\1\u033f\32\0"+
    "\1\u033f\33\0\1\u0340\7\0\1\u0341\22\0\1\u0340\7\0"+
    "\1\u0341\21\0\1\u0341\30\0\1\u017b\5\0\1\u0265\24\0"+
    "\1\u017b\5\0\1\u0265\61\0\1\u025f\32\0\1\u025f\53\0"+
    "\1\u0342\32\0\1\u0342\33\0\1\u02e9\110\0\1\u0343\7\0"+
    "\1\u0344\22\0\1\u0343\7\0\1\u0344\21\0\1\u0344\30\0"+
    "\1\u017b\5\0\1\u0280\24\0\1\u017b\5\0\1\u0280\61\0"+
    "\1\u027b\32\0\1\u027b\37\0\1\u02c5\32\0\1\u02c5\74\0"+
    "\1\u0196\32\0\1\u0196\54\0\1\u0345\32\0\1\u0345\30\0"+
    "\1\u0346\32\0\1\u0346\77\0\1\u0330\32\0\1\u0330\46\0"+
    "\1\u0347\32\0\1\u0347\63\0\1\u01cd\32\0\1\u01cd\53\0"+
    "\1\u0338\32\0\1\u0338\46\0\1\u0348\32\0\1\u0348\62\0"+
    "\1\u0349\32\0\1\u0349\56\0\1\u0349\32\0\1\u0349\47\0"+
    "\1\u034a\32\0\1\u034a\54\0\1\u034b\32\0\1\u034b\40\0"+
    "\1\u034c\32\0\1\u034c\74\0\1\u0260\32\0\1\u0260\54\0"+
    "\1\u027c\32\0\1\u027c\27\0\1\u021a\70\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[56088];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\5\0\2\1\1\11\1\1\1\11\1\1\1\11\5\1"+
    "\22\0\1\1\14\0\1\11\3\0\1\1\6\0\1\11"+
    "\73\0\1\1\4\0\1\1\17\0\1\1\13\0\1\11"+
    "\12\1\25\0\3\1\1\0\11\1\1\11\67\0\3\1"+
    "\22\0\1\11\1\1\1\0\1\1\6\0\1\1\7\0"+
    "\1\11\13\0\1\1\17\0\1\1\7\0\1\1\13\0"+
    "\7\1\25\0\1\11\1\0\6\1\3\0\2\1\27\0"+
    "\1\1\7\0\1\1\6\0\1\1\40\0\2\1\47\0"+
    "\2\1\5\0\2\1\61\0\3\1\5\0\3\1\30\0"+
    "\1\1\2\0\1\1\1\0\1\1\12\0\1\1\1\0"+
    "\1\1\71\0\1\1\1\0\1\1\7\0\3\1\6\0"+
    "\3\1\11\0\3\1\5\0\3\1\10\0\1\11\32\0"+
    "\5\1\60\0\5\1\3\0\5\1\47\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[844];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** For the backwards DFA of general lookahead statements */
  private boolean [] zzFin = new boolean [Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())+1];

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
		
	S008_NumberedItems() { }
	
	private String lastValue = "";
	private boolean checkNextValue = false;
	


  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  S008_NumberedItems(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { addText();
	position++;
            }
          // fall through
          case 11: break;
          case 2:
            { addText();
		position++;
            }
          // fall through
          case 12: break;
          case 3:
            { checkEnd();
            }
          // fall through
          case 13: break;
          case 4:
            { if( !checkEdge()) {
		
			if(checkNextValue) {
			
				String currentValue = Util.getValueReader(yytext()).getNumber();
				
				int current = -1; 
				int last = -1;
				
				try {
					current = Integer.valueOf(Util.readFirstNumber(currentValue));
					last = Integer.valueOf(Util.readFirstNumber(lastValue));
					
					if(current >= last) {
					
						lastValue = currentValue;
						checkNextValue = false;
						
						save(new PartitionElement(Entity.ITEM), lastValue);
					
					} else {
						
						if(getLinkolnDocument().isDebug()) System.out.println("S008_NumberedItems: current < lastValue, ignored - current: " + currentValue + " lastValue: " + lastValue);
						
						addText();

						offset += yylength();
						position += yylength();	
					}
				} catch (NumberFormatException e) {

					System.out.println("S008_NumberedItems: NumberFormatException! current: " + currentValue + " lastValue: " + lastValue);

					addText();

					offset += yylength();
					position += yylength();	
				}
				
			} else {
			
				lastValue = Util.getValueReader(yytext()).getNumber();
				save(new PartitionElement(Entity.ITEM), lastValue);
			}
		}
            }
          // fall through
          case 14: break;
          case 5:
            { if( !checkEdge()) {
		
			checkNextValue = true;
	
			addText();
			
			offset += yylength();
			position += yylength();	
		}
            }
          // fall through
          case 15: break;
          case 6:
            { lastValue = ""; checkNextValue = false; start(null, inValueList, true, true);
            }
          // fall through
          case 16: break;
          case 7:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 3;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 4;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { /* E' il giorno di una data, ignoralo (es. decreto legislativo n. 173 4 novembre 2021 ) */

		if( !checkEdge()) {
		
			addText();
			
			offset += yylength();
			position += yylength();	
		}
            }
          // fall through
          case 17: break;
          case 8:
            { addText();
		position--; //account for the following {LKN_C} character
		yybegin(YYINITIAL);
            }
          // fall through
          case 18: break;
          case 9:
            { annotate(new PartitionElement(Entity.ITEM), Util.getValueReader(yytext()).getNumberSubNumber(), true, false);
            }
          // fall through
          case 19: break;
          case 10:
            { addText(); 
	yybegin(lkn);
            }
          // fall through
          case 20: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java S008_NumberedItems [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        S008_NumberedItems scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new S008_NumberedItems(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
